Tasuku
ReferenceAPI referenceWorkflows

List durable workflow runs

GET/organizations/{organization_id}/workflow-runs

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Query Parameters

repository_id?string
Length1 <= length <= 128
status?string

Value in

  • "RECEIVED"
  • "QUEUED"
  • "RUNNING"
  • "SUCCEEDED"
  • "FAILED"
  • "TIMED_OUT"
  • "CANCELLED"
  • "SUPERSEDED"
  • "DEAD"
cursor?string
page_size?integer
Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/string/workflow-runs"
{  "data": [    {      "id": "string",      "organization_id": "string",      "repository_id": "string",      "pull_request_number": 1,      "workflow_type": "string",      "status": "RECEIVED",      "current_phase": "string",      "provider": "string",      "model": "string",      "sandbox_provider": "string",      "sandbox_id": "string",      "base_sha": "string",      "head_sha": "string",      "input_snapshot": {},      "usage": {},      "error_code": "string",      "error_message": "string",      "started_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "previous_cursor": "string",    "next_cursor": "string"  }}